View Issue Details

IDProjectCategoryView StatusLast Update
0000311Far Manager 1.7xPanelpublic2007-08-09 12:49
ReporterGarthowerAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.70 
Summary0000311: Настройка максимального значение при максимизизации окна.
DescriptionСуть какая - добавить настраивамую опцию, где можно было бы указать максимальное значение основного диалогового окна при максимолизации (ALT-F9). Более подробно: http://forum.farmanager.com/viewtopic.php?t=2761
TagsNo tags attached.
Build000000

Activities

vskirdin

2007-08-08 14:33

administrator   bugnote:0000572

сдается ЭТО уже было (undocumented information)

Попробуй следующее:
Код:
Far\Screen/DeltaXY:REG_DWORD (default=0)

DeltaXY - это структура COORD.
Компоненты X и Y добавляются к результату, который возвращает функция GetLargestConsoleWindowSize(). В коде это выглядит примерно так:

Код:
COORD coordScreen;
coordScreen = GetLargestConsoleWindowSize(hConOut);
coordScreen.X+=DeltaXY.X;
coordScreen.Y+=DeltaXY.Y;


Т.е. надо понимать, что X и Y это не в пискселах, а в тикселах: т.е. изменение будет на размер шрифта, выставленного для окна ФАРа.

vskirdin

2007-08-09 12:49

administrator   bugnote:0000573

Дааавно этот код присутствует.
Надобно наверное задокументировать в TI :-)

Issue History

Date Modified Username Field Change
2007-08-07 10:13 Garthower New Issue
2007-08-08 14:32 vskirdin Status new => assigned
2007-08-08 14:32 vskirdin Assigned To => vskirdin
2007-08-08 14:33 vskirdin Note Added: 0000572
2007-08-08 14:33 vskirdin Status assigned => feedback
2007-08-09 04:23 Garthower Status feedback => resolved
2007-08-09 04:23 Garthower Resolution open => fixed
2007-08-09 12:49 vskirdin Build => 000000
2007-08-09 12:49 vskirdin Status resolved => closed
2007-08-09 12:49 vskirdin Note Added: 0000573
2007-08-09 12:49 vskirdin Fixed in Version => 1.70